/usr/bin/gedit:11:g_type_check_instance_cast:GEDIT_OPEN_DOCUMENT_SELECTOR:real_populate_liststore:gdk_threads_dispatch:g_main_dispatch

Bug #1646762 reported by errors.ubuntu.com bug bridge on 2016-12-02
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gedit (Ubuntu)
High
Andrea Azzarone
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned

Bug Description

* Impact
Gedit segfaults in some cases

* Test case
We don't have specific steps to trigger the issue but the fix is right on principle. Check that error reports stop and that there is no regression

https://errors.ubuntu.com/problem/d7c6f86d74e0c09c473b25deddf3001a01dbf4db

* Regression potential
The change is in the 'open document selector' source so test that the popover UI to open recent files is still working as it should

-------------------------------

The Ubuntu Error Tracker has been receiving reports about a problem regarding gedit. This problem was most recently seen with package version 3.22.0-1ubuntu2, the problem page at https://errors.ubuntu.com/problem/d7c6f86d74e0c09c473b25deddf3001a01dbf4db contains more details, including versions of packages affected, stacktrace or traceback, and individual crash reports.
If you do not have access to the Ubuntu Error Tracker you can request it at http://forms.canonical.com/reports/.

Changed in gedit (Ubuntu):
importance: Undecided → High
tags: added: bionic cosmic
removed: yakkety zesty
Andrea Azzarone (azzar1) on 2019-04-02
Changed in gedit (Ubuntu):
assignee: nobody → Andrea Azzarone (azzar1)
status: New → In Progress
Sebastien Bacher (seb128) wrote :

Thanks, I've uploaded that to debian/experimental and I will sync to disco one it's published (so we can SRU, it seems to have quite some reports from the LTS versions)

Changed in gedit (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gedit - 3.32.0-2

---------------
gedit (3.32.0-2) experimental; urgency=medium

  * debian/oatches/gitlab_idle_handling.patch:
    - use gitlab pr#34's patch to fix an incorrect handling of idle
      callbacks, thanks Andrea Azzarone (lp: #1646762)

 -- Sebastien Bacher <email address hidden> Wed, 03 Apr 2019 11:32:07 +0200

Changed in gedit (Ubuntu):
status: Fix Committed → Fix Released
description: updated

Hello errors.ubuntu.com, or anyone else affected,

Accepted gedit into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gedit/3.28.1-1ubuntu1.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gedit (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-bionic
Łukasz Zemczak (sil2100) wrote :

Hello errors.ubuntu.com, or anyone else affected,

Accepted gedit into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gedit/3.30.2-0ubuntu0.18.10.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gedit (Ubuntu Cosmic):
status: New → Fix Committed
tags: added: verification-needed-cosmic
Sebastien Bacher (seb128) wrote :

Using 3.30.2-0ubuntu0.18.10.3 on cosmic works fine and that version got no error reports

tags: added: verification-done-cosmic
removed: verification-needed-cosmic

The verification of the Stable Release Update for gedit has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gedit - 3.30.2-0ubuntu0.18.10.3

---------------
gedit (3.30.2-0ubuntu0.18.10.3) cosmic; urgency=medium

  * debian/oatches/gitlab_idle_handling.patch:
    - use gitlab pr#34's patch to fix an incorrect handling of idle
      callbacks, thanks Andrea Azzarone (lp: #1646762)

 -- Sebastien Bacher <email address hidden> Thu, 11 Apr 2019 16:19:23 +0200

Changed in gedit (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Sebastien Bacher (seb128) wrote :

3.28.1-1ubuntu1.2 works without visible issue and that version got not error report, marking as verified

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gedit - 3.28.1-1ubuntu1.2

---------------
gedit (3.28.1-1ubuntu1.2) bionic; urgency=medium

  * debian/oatches/gitlab_idle_handling.patch:
    - use gitlab pr#34's patch to fix an incorrect handling of idle
      callbacks, thanks Andrea Azzarone (lp: #1646762)

 -- Sebastien Bacher <email address hidden> Thu, 11 Apr 2019 16:25:40 +0200

Changed in gedit (Ubuntu Bionic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers